/*
 Navicat MySQL Data Transfer

 Source Server         : dankal_dev
 Source Server Type    : MySQL
 Source Server Version : 50721
 Source Host           : db.dankal.cn:3306
 Source Schema         : template

 Target Server Type    : MySQL
 Target Server Version : 50721
 File Encoding         : 65001

 Date: 12/04/2018 18:52:17
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for address
-- ----------------------------
DROP TABLE IF EXISTS `address`;
CREATE TABLE `address`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '地址表 uuid',
  `user_uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户uuid',
  `province` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '省',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '市',
  `area` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '区',
  `detail` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '详细地址',
  `is_invalid` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否有效：o:有效；1：无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE,
  INDEX `IK_ADDRESS_USER_UUID`(`user_uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '地址表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of address
-- ----------------------------
INSERT INTO `address` VALUES ('0bfa20307dbfc754ce3d5ae6bd31e316', '14db1baa3f1e470693923f35efaeef35', '广东省1', '龙岩1', '福建1', '打算打多1', 0, '2018-03-19 20:28:10', '2018-03-19 20:33:38');
INSERT INTO `address` VALUES ('0e56c06c087934cbc0ff4402e10f8b37', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:26:31', NULL);
INSERT INTO `address` VALUES ('3f794e39f4fd57e517d3a21fc1684994', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:27:30', NULL);
INSERT INTO `address` VALUES ('45718b068a0c0ef1098d5061449a48e3', '14db1baa3f1e470693923f35efaeef35', '广东省', '深圳市', '南山区', '龙岗区xxxxx', 0, '2018-03-19 18:51:18', NULL);
INSERT INTO `address` VALUES ('4dff93b39193701237abeb2bcdf66597', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:23:03', NULL);
INSERT INTO `address` VALUES ('54341bcde19ac3f0ca8bd03f20e87b43', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:27:12', NULL);
INSERT INTO `address` VALUES ('5b4c8638e6bad9c62f0be67944c28663', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:23:39', NULL);
INSERT INTO `address` VALUES ('7f7da51d346a3415e03638140f9007eb', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:22:17', NULL);
INSERT INTO `address` VALUES ('ee588601b6fbc57120dc6d624732bf57', '14db1baa3f1e470693923f35efaeef35', '广东省', '龙岩', '福建', '打算打多', 0, '2018-03-19 20:26:46', NULL);

-- ----------------------------
-- Table structure for captcha
-- ----------------------------
DROP TABLE IF EXISTS `captcha`;
CREATE TABLE `captcha`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `code` int(6) NOT NULL,
  `create_time` datetime(0) NOT NULL,
  `type` tinyint(4) NULL DEFAULT NULL,
  `mobile` char(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of captcha
-- ----------------------------
INSERT INTO `captcha` VALUES ('1111', 123456, '2018-03-12 22:25:45', NULL, '15820496034');

-- ----------------------------
-- Table structure for carousel
-- ----------------------------
DROP TABLE IF EXISTS `carousel`;
CREATE TABLE `carousel`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `images` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `sort` int(10) NULL DEFAULT NULL,
  `title` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  PRIMARY KEY (`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of carousel
-- ----------------------------
INSERT INTO `carousel` VALUES ('555d56e626a311e883c50242c0a82002', 'qnuibcuqibcwycuwqbq', 2, NULL, NULL);
INSERT INTO `carousel` VALUES ('555d56e626a311e883c50242c0a82004', 'suihduahdyuqhdywdqydg', 1, NULL, NULL);

-- ----------------------------
-- Table structure for classify
-- ----------------------------
DROP TABLE IF EXISTS `classify`;
CREATE TABLE `classify`  (
  `uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类 uuid',
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '类型',
  `operator` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '操作员uuid',
  `is_delete` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否删除：o:未删除；1：已删除',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '分类表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of classify
-- ----------------------------
INSERT INTO `classify` VALUES ('32f63b15285a11e883c50242c0a82003', '测试type', '123456789', 0, '2018-03-16 17:45:29');
INSERT INTO `classify` VALUES ('32f63b15285a11e883c50242c0a82004', 'DEFALT', 'd347347942d3416b81e358677d1f7831', 0, '2018-03-15 14:07:30');

-- ----------------------------
-- Table structure for evaluate
-- ----------------------------
DROP TABLE IF EXISTS `evaluate`;
CREATE TABLE `evaluate`  (
  `uuid` varchar(33) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '评价uuid',
  `user_uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户 uuid',
  `grade` tinyint(1) NOT NULL DEFAULT 1 COMMENT '评分：1-5',
  `content` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '评价',
  `images` json NULL COMMENT '评价图片意见',
  `is_delete` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否删除：o:未删除；1：已删除',
  `is_handle` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否处理：o:未处理；1：已处理',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '评价表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of evaluate
-- ----------------------------
INSERT INTO `evaluate` VALUES ('10276171aa21bbf7a3c81260f0b4becd', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:54:39');
INSERT INTO `evaluate` VALUES ('15da993d6eb62fde34d862c2b82e5d5b', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:53:06');
INSERT INTO `evaluate` VALUES ('53401e57d83667030114f8b8d632814a', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:50:16');
INSERT INTO `evaluate` VALUES ('70e61fb9d167247d20f529653cb087fc', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:52:45');
INSERT INTO `evaluate` VALUES ('95d690b8a19465f4672e9f0ffd13cedb', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:52:15');
INSERT INTO `evaluate` VALUES ('976157ef285911e883c50242c0a82004', '3120cb94f5d743dabf2f883abc596a49', 4, '评价', '[\"uhihfqno1icwuiqnciuwqc\", \"2hwy1ndoqiduinbcuiwbqcu\"]', 0, 0, '2018-03-15 14:03:09');
INSERT INTO `evaluate` VALUES ('e04d7313c02a37e6be8a1127bf0c7e89', '3120cb94f5d743dabf2f883abc596a49', 5, 'pingjia', '[\"1\", \"2\"]', 0, 0, '2018-03-15 22:53:16');

-- ----------------------------
-- Table structure for feedback
-- ----------------------------
DROP TABLE IF EXISTS `feedback`;
CREATE TABLE `feedback`  (
  `uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '意见反馈 uuid',
  `user_uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户 uuid',
  `images` json NULL COMMENT '反馈图片意见',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '内容',
  `is_delete` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否删除：o:未删除；1：已删除',
  `is_handle` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否处理：o:未处理；1：已处理',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE,
  INDEX `IK_FEEDBACK_USER_UUID`(`user_uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '意见反馈表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of feedback
-- ----------------------------
INSERT INTO `feedback` VALUES ('20e63321fc1282969c319b4cda314214', '3120cb94f5d743dabf2f883abc596a49', '[\"suihduahdyuqhdywdqydg\", \"qnuibcuqibcwycuwqbq\", \"qnuibcuqibcwycuwqbq\"]', '1123', 0, 0, NULL);
INSERT INTO `feedback` VALUES ('8ce72dbac99e7e386ff04c3d3653945b', '3120cb94f5d743dabf2f883abc596a49', '[\"suihduahdyuqhdywdqydg\", \"qnuibcuqibcwycuwqbq\", \"qnuibcuqibcwycuwqbq\"]', '1123', 0, 0, NULL);
INSERT INTO `feedback` VALUES ('dc0478fb285911e883c50242c0a82004', 'd347347942d3416b81e358677d1f7831', '[\"suihduahdyuqhdywdqydg\", \"qnuibcuqibcwycuwqbq\", \"qnuibcuqibcwycuwqbq\"]', '反馈', 0, 0, '2018-03-15 14:05:04');

-- ----------------------------
-- Table structure for push
-- ----------------------------
DROP TABLE IF EXISTS `push`;
CREATE TABLE `push`  (
  `uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '推送 uuid',
  `user_uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户uuid',
  `tags` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户所属组',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '推送标题',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '推送内容',
  `ico` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '推送图标',
  `attribute` json NULL COMMENT '属性',
  `type` tinyint(1) UNSIGNED NULL DEFAULT 0 COMMENT '推送类型：0:系统消息；1；other',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE,
  INDEX `IK_PUSH_USER_UUID`(`user_uuid`) USING BTREE,
  INDEX `IK_PUSH_TAGS`(`tags`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '推送表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of push
-- ----------------------------
INSERT INTO `push` VALUES ('16cf4e3b2f1611e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 11:47:35');
INSERT INTO `push` VALUES ('3a987be32f0811e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 10:08:22');
INSERT INTO `push` VALUES ('45e98b492f1511e8bc370242c0a82004', 'aaa', '2222', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 11:41:44');
INSERT INTO `push` VALUES ('4bb8e7312f0911e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 10:16:00');
INSERT INTO `push` VALUES ('520712902f1611e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 11:49:14');
INSERT INTO `push` VALUES ('7098d0dc2f0811e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 10:09:53');
INSERT INTO `push` VALUES ('7e4fa4c62f0811e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 10:10:16');
INSERT INTO `push` VALUES ('8bee3c082f0811e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 10:10:38');
INSERT INTO `push` VALUES ('8f2b2be32f1511e8bc370242c0a82004', 'aaa', '111', '标题', '内容', 'https://www.bugdone.cn/images/logo/logoshort0.png', NULL, 1, '2018-03-24 11:43:47');

-- ----------------------------
-- Table structure for questions
-- ----------------------------
DROP TABLE IF EXISTS `questions`;
CREATE TABLE `questions`  (
  `uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '常见问题uuid',
  `classify_uuid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '分类 uuid',
  `title` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '标题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '内容',
  `is_delete` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否删除：o:未删除；1：已删除',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE,
  UNIQUE INDEX `classify_uuid`(`classify_uuid`) USING BTREE,
  INDEX `IK_CLASSIFY_UUID`(`classify_uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '常见问题表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of questions
-- ----------------------------
INSERT INTO `questions` VALUES ('32f63b15285a11e883c50242c0a82022', '32f63b15285a11e883c50242c0a82003', '测试问题哇', '<html><body>配送师傅必读富文本</body></html>', 0, '2018-03-17 17:46:05');
INSERT INTO `questions` VALUES ('7f882257285a11e883c50242c0a82004', '32f63b15285a11e883c50242c0a82004', '配送师傅必读', '<html><body>配送师傅必读富文本</body></html>', 0, '2018-03-15 14:09:38');

-- ----------------------------
-- Table structure for receiver
-- ----------------------------
DROP TABLE IF EXISTS `receiver`;
CREATE TABLE `receiver`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '收件 uuid',
  `user_uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用户uuid',
  `address_uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '地址uuid',
  `name` char(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '收件人名',
  `mobile` char(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '手机号',
  `is_default` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否默认：o:默认；1：非默认',
  `is_invalid` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否有效：o:有效；1：无效',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`uuid`) USING BTREE,
  UNIQUE INDEX `uuid`(`uuid`) USING BTREE,
  INDEX `IK_RECEIVER_USER_UUID`(`user_uuid`) USING BTREE,
  INDEX `IK_RECEIVER_ADDRESS_UUID`(`address_uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '收件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of receiver
-- ----------------------------
INSERT INTO `receiver` VALUES ('1cd16518111fb53e194c9d1f2eceec87', '14db1baa3f1e470693923f35efaeef35', '0bfa20307dbfc754ce3d5ae6bd31e316', '刘剑华', '15820496034', 0, 0, '2018-03-19 20:29:22', '2018-03-19 20:33:38');
INSERT INTO `receiver` VALUES ('347c03db82eae50dfc5914579c87f2f5', '14db1baa3f1e470693923f35efaeef35', '3f794e39f4fd57e517d3a21fc1684994', '刘剑华', '15820496034', 1, 0, '2018-03-19 20:27:33', '2018-03-19 20:28:10');
INSERT INTO `receiver` VALUES ('45718b068a0c0ef1098d5061449a48e3', '14db1baa3f1e470693923f35efaeef35', '45718b068a0c0ef1098d5061449a48e3', '陈墨', '18475525898', 1, 0, '2018-03-16 12:22:17', '2018-03-19 20:28:10');

-- ----------------------------
-- Table structure for search_term
-- ----------------------------
DROP TABLE IF EXISTS `search_term`;
CREATE TABLE `search_term`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `search_term` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '搜索词',
  `create_time` datetime(0) NULL DEFAULT NULL,
  `search_num` int(11) NULL DEFAULT NULL COMMENT '搜索数量',
  PRIMARY KEY (`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of search_term
-- ----------------------------
INSERT INTO `search_term` VALUES ('7f882257285a11e883c50242c0a82004', '热门一', '2018-03-16 18:15:41', 1);
INSERT INTO `search_term` VALUES ('7f882257285a11e883c50242c0a82222', '热门二', '2018-03-16 18:16:08', 2);

-- ----------------------------
-- Table structure for token
-- ----------------------------
DROP TABLE IF EXISTS `token`;
CREATE TABLE `token`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'uuid',
  `user_uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户uuid',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `access_token` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `refresh_token` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '刷新token使用的token',
  `expiry_time` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of token
-- ----------------------------
INSERT INTO `token` VALUES ('2ad2a6bb2cfe11e883c50242c0a82004', 'c461aba459204860a05d57b6ac7c7ca8', '2018-03-21 11:51:18', NULL, 'e1c6692410a20ffb5b39c7', '9d002e2cf63d6cdd94e90e', '2018-03-28 11:51:18');
INSERT INTO `token` VALUES ('31df2081b1a2da70cade00361451fb1c', '692fd25057cf0f997c8e17eb41514e6f', '2018-03-14 00:57:02', '2018-03-14 00:57:02', 'e898c027ad33e12b45d5431f6a1e534e', '1ab1d292b2ef1f0150fdc4475c423c88', '2018-03-21 00:57:02');
INSERT INTO `token` VALUES ('377946612ea611e8bc370242c0a82004', '0e3dd9f8d62e417fb5fd5344733c60ee', '2018-03-23 22:26:46', NULL, '52f2cf6927d4343d02c9e4', 'a398c078e7cde64f252e0e', '2018-03-30 22:26:46');
INSERT INTO `token` VALUES ('3aa8cbfb279411e883c50242c0a82004', '3120cb94f5d743dabf2f883abc596a49', '2018-03-14 14:30:22', '2018-03-15 22:06:20', 'eeeab0a26b99e4d6e6d50f76ca3b4fd7', 'b3dd236336e443e1ee567c54a0080e07', '2018-03-22 22:06:20');
INSERT INTO `token` VALUES ('555d56e626a311e883c50242c0a82004', '9d9829f7f7a74897b60aa571f1924fac', '2018-03-13 09:45:58', NULL, 'MzhiYWI1MzY5N2M0NjNhZDg3YmFlZGM3', 'NmM0ZDUyN2U0MTA0YTk5YjU2YWFkYmVh', '2018-03-20 09:45:58');
INSERT INTO `token` VALUES ('5b8135cb279111e883c50242c0a82004', 'bc3bbd46b06445ee82bc742a61087bd2', '2018-03-14 14:09:49', NULL, '8fd00c393c769360c8f226', '6261901e9b96f82136f621', '2018-03-21 14:09:49');
INSERT INTO `token` VALUES ('5b9ee20b279111e883c50242c0a82004', 'f0424ee664f346938238a19893baaea6', '2018-03-14 14:09:49', NULL, '2b88c9007e82569566f697', '43c576cc2ddbb0944813ca', '2018-03-21 14:09:49');
INSERT INTO `token` VALUES ('6cef3b33279111e883c50242c0a82004', '1c2e1f3383d24c8abee4259360074721', '2018-03-14 14:10:18', NULL, 'c763b0e8d7b3356ffa982c', '605629cc7a63a36be932e1', '2018-03-21 14:10:18');
INSERT INTO `token` VALUES ('6f174e364820d3b889dfc620353e1d09', 'd98173d3162c284d73a06df49540381c', '2018-03-14 00:58:01', '2018-03-14 00:58:01', 'ee5e9e016d051de3582938a105d20fd4', 'adc751d702ec63c64985a9712a9edb86', '2018-03-21 00:58:01');
INSERT INTO `token` VALUES ('771079b7279111e883c50242c0a82004', '3e4308efd2b94f0da4ec923ba6499439', '2018-03-14 14:10:35', NULL, '452d9280f71afb62e9600c', '0b594845a13d5fede43787', '2018-03-21 14:10:35');
INSERT INTO `token` VALUES ('78a9aea5279111e883c50242c0a82004', 'f424ec5a932143518ed155b4832a2909', '2018-03-14 14:10:38', NULL, '81e65f68cf32c194065bbc', 'a197086969d5a6b267daa4', '2018-03-21 14:10:38');
INSERT INTO `token` VALUES ('80e55289c6c902df05ad29266b954a33', '165c125807d19a8a9238c2b2fdc522dd', '2018-03-13 23:57:05', '2018-03-13 23:57:05', '7a10a484d1ff6a6cca27da984a269719', 'ce0a795f2b8cdb5b4978d0374dff53aa', '2018-03-20 23:57:05');
INSERT INTO `token` VALUES ('88055f8526b911e883c50242c0a82004', '3eb9a646783b411b83e7feb99a28154c', '2018-03-13 12:24:52', NULL, 'MDVjNzQ3MTJjZTE0NjZiYjY3NjA0NGM3', 'YjQ5Y2I4YjNlMTQ0NjhiY2MwZTYzNWIw', '2018-03-20 12:24:52');
INSERT INTO `token` VALUES ('8c4492022d0011e883c50242c0a82004', '1bd1fb40b1e64bc5ba4d1ca0155d3663', '2018-03-21 12:08:21', NULL, 'bd7308c51299380419e25f', '058ac5f41563f7e537cc4a', '2018-03-28 12:08:21');
INSERT INTO `token` VALUES ('a5f454e8278611e883c50242c0a82004', 'ec66cb386cd24eae86074f28a4d84b06', '2018-03-14 12:53:09', NULL, '187072455857eda1f7d625', '789e5bf9756046fe848347', '2018-03-22 11:39:42');
INSERT INTO `token` VALUES ('b13e5c3e279311e883c50242c0a82004', 'fbaa00922c4e4dbf99bd559ad468349d', '2018-03-14 14:26:32', NULL, 'bf0f724517b8d0512111a2', 'ad57f4198b3042ef25a2d9', '2018-03-21 14:26:32');
INSERT INTO `token` VALUES ('b55f7e62291611e883c50242c0a82004', '6227fe3424fe4f97b7dd569a62916c47', '2018-03-16 12:36:54', NULL, 'a8ff0d9a49693ac00defcb', '1ce9ef449e9d8b67aa27b7', '2018-03-23 13:12:37');
INSERT INTO `token` VALUES ('bea3cb00285d11e883c50242c0a82004', '41042b3d06d448ea960b5d8af6bf99c8', '2018-03-15 14:32:53', NULL, '8fcb613c7deef05ee4fc6f', '7ffa6863bac83cefeaa1c2', '2018-03-22 14:32:53');
INSERT INTO `token` VALUES ('c6fba7aa278b11e883c50242c0a82004', 'd347347942d3416b81e358677d1f7831', '2018-03-14 13:29:52', NULL, '9cab0f3378cdaca4dc8448', 'a85265af0f2ebcd4f27dae', '2018-03-21 13:43:48');
INSERT INTO `token` VALUES ('d61f590c2e9a11e8bc370242c0a82004', '1854161d43334dc8a928a94ef757ec90', '2018-03-23 21:05:18', NULL, 'b30c76ab446062e6bd2b2e', 'a360d230d3bb763d87d450', '2018-03-30 21:05:18');
INSERT INTO `token` VALUES ('d94a978d2ea711e8bc370242c0a82004', '7525e66c11ea4f2bbc9df036b6fdca8a', '2018-03-23 22:38:27', NULL, '0ddf3fb6c426793b216173', 'fba78ea6b2231ea58ee73a', '2018-03-30 22:38:27');
INSERT INTO `token` VALUES ('da5ac4bd2d0311e883c50242c0a82004', '6ff455de07ed4761908da3f6f65f838e', '2018-03-21 12:32:00', NULL, '6839482edb305fab222368', 'b75e4cc92821bf7d992757', '2018-03-28 12:32:00');
INSERT INTO `token` VALUES ('e7f0ca93285311e883c50242c0a82004', 'c49430bd5e48431da9da4930dc0da936', '2018-03-15 13:22:27', NULL, '6d501325503aa3dc4f71f5', '8d55a8848640fcfe358e37', '2018-03-22 13:22:27');
INSERT INTO `token` VALUES ('e93cf095284f11e883c50242c0a82004', '14db1baa3f1e470693923f35efaeef35', '2018-03-15 12:53:51', NULL, '5e56440aa4b03f06eb4a99', 'dc5f438808799fba0eed76', '2018-03-22 12:53:59');
INSERT INTO `token` VALUES ('ee86caab2f1011e8bc370242c0a82004', 'e000b482c64044e5b963889db293a817', '2018-03-24 11:10:40', NULL, 'f701a3c97bbf18ed66b842', 'c9570daacfad4c2e0c4617', '2018-03-31 11:10:40');
INSERT INTO `token` VALUES ('efb28035279511e883c50242c0a82004', '15a4c1c8d18043d8ae059e8062860025', '2018-03-14 14:42:35', NULL, 'bc46268f04218a8a2f03ce', '76775a31439f99d047b608', '2018-03-21 14:42:35');
INSERT INTO `token` VALUES ('f47dbd5ad48df9ed23b5f7de6dc6d4ef', 'd29b4e61d811715f44bf8ba3fd870e29', '2018-03-12 22:35:04', '2018-03-12 23:19:31', '2f35ca11838074cabcd82d0f9af6ed6e', 'a7d5e89c2cc3d7aa57f2fb713774d1b4', '2018-03-19 23:19:31');
INSERT INTO `token` VALUES ('f55af5be26d011e883c50242c0a82004', 'a65aadd7625f43bfa02479a5fce99678', '2018-03-13 15:12:34', NULL, 'ZGI0MzE2NmE2NjA0MGQ4NjkyZjQzNzdk', 'ODYwOTc0ZjJlZmM0Mjc4NDRiNTJhZmIy', '2018-03-20 15:12:34');
INSERT INTO `token` VALUES ('ffea44862f0911e8bc370242c0a82004', '51ff6b28f0254df38107b2bb91135010', '2018-03-24 10:21:02', NULL, '2f4aacb8123b94eb2ef969', '7a1fb752fc5079e1774e4d', '2018-03-31 10:21:02');

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `uuid` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` char(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `mobile` char(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `attribute` json NULL,
  `create_time` datetime(0) NOT NULL,
  `password` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码',
  PRIMARY KEY (`uuid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user
-- ----------------------------
INSERT INTO `user` VALUES ('0e3dd9f8d62e417fb5fd5344733c60ee', '17322316965', '17322316965', NULL, '{\"is_invalid\": 0}', '2018-03-23 22:26:46', NULL);
INSERT INTO `user` VALUES ('14db1baa3f1e470693923f35efaeef35', NULL, NULL, NULL, '{\"qq_name\": \"Vane\", \"qq_avatar\": \"http://thirdqq.qlogo.cn/qqapp/1105894296/F247AFD2EF73E9F48BC4639AFBC39A90/100\", \"qq_openid\": \"F247AFD2EF73E9F48BC4639AFBC39A90\", \"is_invalid\": 0, \"qq_unionid\": \"UID_43C6DBA1AA7814B48043BD48D7190E3C\"}', '2018-03-15 12:53:51', NULL);
INSERT INTO `user` VALUES ('1854161d43334dc8a928a94ef757ec90', '18826737132', '18826737132', NULL, '{\"is_invalid\": 0}', '2018-03-23 21:05:18', NULL);
INSERT INTO `user` VALUES ('41042b3d06d448ea960b5d8af6bf99c8', '18320926292', '18320926292', NULL, '{\"is_invalid\": 0}', '2018-03-15 14:32:53', NULL);
INSERT INTO `user` VALUES ('51ff6b28f0254df38107b2bb91135010', '17322370823', '17322370823', NULL, '{\"is_invalid\": 0}', '2018-03-24 10:21:02', NULL);
INSERT INTO `user` VALUES ('6227fe3424fe4f97b7dd569a62916c47', NULL, NULL, NULL, '{\"wx_name\": \"Antony\", \"wx_avatar\": \"http://thirdwx.qlogo.cn/mmopen/vi_32/y96SxqMEia0Ria8wHu8Zicgr5CjzdGFdOK0vW9Jczr6AyIhBicotErrxYPhnnaWoqNJCHQEaUSpjp3VUoHyh8iaP1cQ/132\", \"is_invalid\": 0, \"wx_unionid\": \"ovZVAxPOBGZ8Um1I31OUuL3-b4Hs\", \"wx_app_openid\": \"oMOI5wrJ4gQRyL-09NQ3c2v5cAMU\"}', '2018-03-16 12:36:54', NULL);
INSERT INTO `user` VALUES ('6ff455de07ed4761908da3f6f65f838e', '18475525887', '18475525887', NULL, '{\"is_invalid\": 0}', '2018-03-21 12:32:00', '1234');
INSERT INTO `user` VALUES ('7525e66c11ea4f2bbc9df036b6fdca8a', '13662586236', '13662586236', NULL, '{\"is_invalid\": 0}', '2018-03-23 22:38:27', NULL);
INSERT INTO `user` VALUES ('c461aba459204860a05d57b6ac7c7ca8', '13610124553', '13610124553', NULL, '{\"is_invalid\": 0}', '2018-03-21 11:51:18', NULL);
INSERT INTO `user` VALUES ('c49430bd5e48431da9da4930dc0da936', '13760237141', '13760237141', NULL, '{\"is_invalid\": 0}', '2018-03-15 13:22:27', NULL);
INSERT INTO `user` VALUES ('d347347942d3416b81e358677d1f7831', '18475525883', '18475525883', NULL, '{\"is_invalid\": 0, \"wx_unionid\": \"ocMvos6NjeKLIBqg5Mr9QjxrP1FA\", \"wx_mini_name\": \"Band\", \"wx_mini_avatar\": \"http://wx.qlogo.cn/mmopen/vi_32/aSKcBBPpibyKNicHNTMM0qJVh8Kjgiak2AHWr8MHM4WgMEm7GFhsf8OYrySdbvAMvTsw3mo8ibKicsnfN5pRjl1p8HQ/0\", \"wx_mini_openid\": \"oGZUI0egBJY1zhBYw2KhdUfwVJJE\"}', '2018-03-14 13:29:52', NULL);
INSERT INTO `user` VALUES ('e000b482c64044e5b963889db293a817', '13760237215', '13760237215', NULL, '{\"is_invalid\": 0}', '2018-03-24 11:10:40', NULL);
INSERT INTO `user` VALUES ('ec66cb386cd24eae86074f28a4d84b06', NULL, '15820496034', NULL, '{\"qq_name\": \"lpzlzp\", \"wx_name\": \"Vane\", \"qq_avatar\": \"http://thirdqq.qlogo.cn/qqapp/1106125395/4CC5B18EED3D0A4CBA0C5D5F1A4B274A/100\", \"qq_openid\": \"4CC5B18EED3D0A4CBA0C5D5F1A4B274A\", \"wx_avatar\": \"http://thirdwx.qlogo.cn/mmopen/vi_32/W0GAMNYicCtmAH2y0Xrbsds16S9Fal9cOqRDmibm9Y0xv9kfm18MMIiaiaxLP56CPibMQTIK8ZtbOXe8RloxblQC01A/132\", \"is_invalid\": 0, \"qq_unionid\": \"\", \"wx_unionid\": \"ovZVAxMEw1uSUtLjdQCtggADjf7s\", \"wx_h5_openid\": \"\", \"wx_app_openid\": \"oMOI5wr3Z2g2lohapA9jXhSHedtE\", \"wx_mini_openid\": \"oGZUI0egBJY1zhBYw2KhdUfwVJJE\"}', '2018-03-14 12:53:09', NULL);
INSERT INTO `user` VALUES ('eeb2d8122e414439a626a013720817c3', NULL, '', NULL, '{\"is_invalid\": 1, \"wx_unionid\": \"ocMvos6NjeKLIBqg5Mr9QjxrP1FA\", \"wx_mini_name\": \"Band\", \"wx_mini_avatar\": \"http://wx.qlogo.cn/mmopen/vi_32/aSKcBBPpibyKNicHNTMM0qJVh8Kjgiak2AHWr8MHM4WgMEm7GFhsf8OYrySdbvAMvTsw3mo8ibKicsnfN5pRjl1p8HQ/0\", \"wx_mini_openid\": \"oGZUI0egBJY1zhBYw2KhdUfwVJJE\"}', '2018-03-14 13:20:38', NULL);

SET FOREIGN_KEY_CHECKS = 1;
